Bug 1571902 - [abrt] qt-creator: QTypedArrayData<TextEditor::TextMark*>::constEnd(): qtcreator killed by SIGSEGV
Summary: [abrt] qt-creator: QTypedArrayData<TextEditor::TextMark*>::constEnd(): qtcrea...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:285ac149860e9bb44678ff87203...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 16:08 UTC by Yaroslav Pronin
Modified: 2018-11-30 21:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:13:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (111.36 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: core_backtrace (55.25 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: cpuinfo (1.53 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: dso_list (29.85 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: environ (1.76 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: maps (142.47 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: mountinfo (3.75 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: open_fds (56.55 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: var_log_messages (436 bytes, text/plain)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2018-04-25 16:08 UTC, Yaroslav Pronin
no flags Details

Description Yaroslav Pronin 2018-04-25 16:08:24 UTC
Description of problem:
Edit JavaScript file in QML project

Version-Release number of selected component:
qt-creator-4.6.0-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        qtcreator
crash_function: QTypedArrayData<TextEditor::TextMark*>::constEnd
executable:     /usr/bin/qtcreator
journald_cursor: s=9e3c84d405c24ff1a9a6673e9747e9ae;i=b7d;b=d73e665862934802af186429f41b340b;m=e56d4f2a;t=56aae4c905395;x=efbcecc189e10d01
kernel:         4.15.17-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QTypedArrayData<TextEditor::TextMark*>::constEnd at /usr/include/qt5/QtCore/qarraydata.h:214
 #1 QVector<TextEditor::TextMark*>::cend at /usr/include/qt5/QtCore/qvector.h:211
 #2 QVector<TextEditor::TextMark*>::removeAll at /usr/include/qt5/QtCore/qvector.h:164
 #3 QmlJSEditor::Internal::QmlJSEditorDocumentPrivate::<lambda(QmlJSEditor::Internal::QmlJSTextMark*)>::operator() at qmljseditordocument.cpp:627
 #4 std::_Function_handler<void(QmlJSEditor::Internal::QmlJSTextMark*), QmlJSEditor::Internal::QmlJSEditorDocumentPrivate::createTextMarks(const QmlJSTools::SemanticInfo&)::<lambda(QmlJSEditor::Internal::QmlJSTextMark*)> >::_M_invoke(const std::_Any_data &, QmlJSEditor::Internal::QmlJSTextMark *&&) at /usr/include/c++/7/bits/std_function.h:316
 #5 std::function<void (QmlJSEditor::Internal::QmlJSTextMark*)>::operator()(QmlJSEditor::Internal::QmlJSTextMark*) const at /usr/include/c++/7/bits/std_function.h:706
 #6 QmlJSEditor::Internal::QmlJSTextMark::removedFromEditor at qmljstextmark.cpp:85
 #7 TextEditor::TextBlockUserData::~TextBlockUserData at textdocumentlayout.cpp:43
 #9 QTextBlockData::free at text/qtextdocument_p.h:107
 #10 QFragmentMap<QTextBlockData>::erase_single at ../../include/QtGui/5.9.4/QtGui/private/../../../../../src/gui/text/qfragmentmap_p.h:844

Comment 1 Yaroslav Pronin 2018-04-25 16:08:31 UTC
Created attachment 1426747 [details]
File: backtrace

Comment 2 Yaroslav Pronin 2018-04-25 16:08:32 UTC
Created attachment 1426748 [details]
File: cgroup

Comment 3 Yaroslav Pronin 2018-04-25 16:08:35 UTC
Created attachment 1426749 [details]
File: core_backtrace

Comment 4 Yaroslav Pronin 2018-04-25 16:08:36 UTC
Created attachment 1426750 [details]
File: cpuinfo

Comment 5 Yaroslav Pronin 2018-04-25 16:08:38 UTC
Created attachment 1426751 [details]
File: dso_list

Comment 6 Yaroslav Pronin 2018-04-25 16:08:39 UTC
Created attachment 1426752 [details]
File: environ

Comment 7 Yaroslav Pronin 2018-04-25 16:08:41 UTC
Created attachment 1426753 [details]
File: limits

Comment 8 Yaroslav Pronin 2018-04-25 16:08:44 UTC
Created attachment 1426754 [details]
File: maps

Comment 9 Yaroslav Pronin 2018-04-25 16:08:45 UTC
Created attachment 1426755 [details]
File: mountinfo

Comment 10 Yaroslav Pronin 2018-04-25 16:08:47 UTC
Created attachment 1426756 [details]
File: open_fds

Comment 11 Yaroslav Pronin 2018-04-25 16:08:49 UTC
Created attachment 1426757 [details]
File: proc_pid_status

Comment 12 Yaroslav Pronin 2018-04-25 16:08:50 UTC
Created attachment 1426758 [details]
File: var_log_messages

Comment 13 Yaroslav Pronin 2018-04-25 16:08:52 UTC
Created attachment 1426759 [details]
File: exploitable

Comment 14 Ben Cotton 2018-11-27 16:02:10 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 21:13:55 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.